<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- displays site properly based on user's device -->

    <link
      rel="icon"
      type="image/png"
      sizes="32x32"
      href="./assets/images/favicon-32x32.png"
    />
    <!-- ----------------------------- Fonts -------------------  -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap"
      rel="stylesheet"
    />

    <title>PLAN</title>

    <!-- Feel free to remove these styles or customise in your own stylesheet 👍 -->
    <!-- <style>
      .attribution {
        font-size: 11px;
        text-align: center;
      }
      .attribution a {
        color: hsl(228, 45%, 44%);
      }
    </style> -->
    <link rel="stylesheet" href="../css/page4.css" />
  </head>
  <body>
    <main>
      <div class="container" id="container2">
        <section class="left">
          <div class="div1">
            <div class="left1">
              <span class="span1">1</span>
            </div>
            <div class="right1">
              <p>STEP 1</p>
              <h3 class="h3">YOUR INFO</h3>
            </div>
          </div>
          <div class="div2">
            <div class="left2">
              <span>2</span>
            </div>
            <div class="right1">
              <p>STEP 2</p>
              <h3 class="h3">SELECT PLAN</h3>
            </div>
          </div>
          <div class="div3">
            <div class="left3">
              <span>3</span>
            </div>
            <div class="right1">
              <p>STEP 3</p>
              <h3 class="h3">ADD-ONS</h3>
            </div>
          </div>
          <div class="div4">
            <div class="left4">
              <span class="span4">4</span>
            </div>
            <div class="right1">
              <p>STEP 4</p>
              <h3 class="h3">SUMMARY</h3>
            </div>
          </div>
        </section>
        <section class="right">
          <h1>Finishing up</h1>
          <p class="grey rightp">Double-check everything looks OK before confirming.</p>
          <div class="middle">
            <div class="middleup">
              <div class="mleft">
                <h4 class="h4">Arcade(monthly)</h4>
                <p class="grey">Change</p>
              </div>
              <div class="mright">
                <h3 class="h5">$9/mo</h3>
              </div>
            </div>
            <hr class="hr" />
            <div class="middlemid">
              <div class="midleft"></div>
              <div class="midright"></div>
            </div>
            <div class="middledown">
              <div class="mdleft">
                <p class="totalprice">Total (per month)</p>
              </div>
              <div class="mdright">
                <h2 class="total">$9/mo</h2>
              </div>
            </div>
          </div>

          <div class="buttons2">
            <a href="../templates/Page3.html" class="anchortag1"
              ><button class="formbtn1">GoBack</button></a
            >
            <a href="./Thankyou.html" class="anchortag2"
              ><button class="formbtn2">Confirm</button></a
            >
          </div>
        </section>
      </div>
    </main>
    <script>
      const Selectedplan = JSON.parse(localStorage.getItem("SelectedPlan"));
      const Addons = JSON.parse(localStorage.getItem("Addons"));

      // console.log(Selectedplan);
      // console.log(Addons);

      const middle1 = document.querySelector(".middle1");
      const midleft = document.querySelector(".midleft");
      const midright = document.querySelector(".midright");
      const mdright = document.querySelector(".mdright");

      let totalPrice = Selectedplan[0].price;
// Types of plans
      if (Selectedplan && Selectedplan[0].plan && Selectedplan[0].type) {
        const h4tag = document.querySelector(".h4");
        h4tag.innerHTML = `${Selectedplan[0].plan}(${Selectedplan[0].type}) `;

        const h5price = document.querySelector(".h5");
        h5price.style.color='hsl(213, 96%, 18%)'
        const priceText = `+$${Selectedplan[0].price}/${
          Selectedplan[0].type === "monthly" ? "mon" : "yr"
        }`;
        h5price.innerHTML = priceText;
      }
      console.log(Addons);

//  In this  We have addons adding name on left and price on right 
      if (Addons) {
        Addons.forEach((element) => {
          const ptag = document.createElement("p");
          ptag.innerHTML = `${element.title}`;
          ptag.className='p'
          midleft.appendChild(ptag);

          const h5tag = document.createElement("p");
          h5tag.innerHTML = `+$${element.price}/${Selectedplan[0].type==='monthly'  ?'mon':'yr'}`;
          h5tag.className='addonp';
          midright.appendChild(h5tag);

          totalPrice += element.price;
        });
  // Total with its total price  
        const total=document.querySelector('.total');
        // total.className='total'
        total.innerHTML=`$${totalPrice}/${Selectedplan[0].type==='monthly'  ?'mon':'yr'}`;
        // mdright.appendChild(total);
      }
    </script>
  </body>
</html>
